Jump to content

complex line typ help


gegenytibor

Recommended Posts

One option would be to use Express Tools commands for making a shape and making a linetype. They are MKSHAPE and MKLTYPE. Look under Express Tools > Tools for both commands.

 

FYI - Options for creating custom linetypes.

 

http://www.cadtutor.net/forum/showthread.php?27454-Options-for-creating-linetypes.&highlight=create+custom+linetype

Edited by ReMark
Link to comment
Share on other sites

Zoomed out the linetype looks OK but zoomed in it starts to lose its appeal. Not sure if it will meet the OP's needs. Maybe a different font?

Link to comment
Share on other sites

You are right, ReMark. If OP want to use it with a big scale, then he/she may adjust a little the angle and/or the gaps to refine the appearance.

*GEGENYTIBOR,Gegenytibor linetype -------\/\-------\/\-------\/\-------
A,.3,[color=magenta]-.083[/color],["Z",STANDARD,S=.1,R=[color=darkgreen]56.0[/color],X=0,Y=-.056],[color=magenta]-.038[/color]

Link to comment
Share on other sites

I did some refinement to above definition; it is optimized for TXT.shx due to its general availability and also appearance.

*GEGENYTIBOR,Gegenytibor linetype -------\/\-------\/\-------\/\-------
A,.3,-.0833,["Z",STANDARD,S=.1,R=56.3,X=0,Y=-.0555],-.037

Link to comment
Share on other sites

The other way would be to do its as a pline just requires the co-ord calc at a step point to produce Z a choose 2 pts or convert exsiting line. Check out "Batting" there is lisps for various plines under this post subject. basicly take a line length work out how many segments then repeat pattern. i hav edone this beore and can have a scale factor for say height of Z or how many segments etc.

 

Need, is dwg mm m or feet ? What size line Z pretty simple to code otherwise.

Link to comment
Share on other sites

Had a few minutes has a little bug on end will find it but draw a line 1000 units long as a guide to pick start & end needs correct gap etc and height of zig, odd distance 41.2311 and odd angle is crooked line to get round this need some more polars. This example shows how to use pline,

 

(defun c:zig ( / pt1 pt2 pt3 pt4 pt5 pt6 pt7 ang angang dist angup)
(setq pt1 (getpoint "\nPick 1st point"))
(setq pt2 (getpoint "\nPick 2nd point"))
(setq oldsnap (getvar 'osmode))
(setvar 'osmode 0)
(setq dist (distance pt1 pt2))
(setq ang (angle pt1 pt2))
(setq angup (+ ang 1.570796))
(setq angang (+ ang 4.957368))
(setq gap 200.0)
(setq gap2 20.0)
(setq x (fix (/ dist gap)))
(command "pline" pt1 "w" 0.0 0.0)
(repeat x
(setq pt3 (polar pt1 ang gap ))
(setq pt4 (polar pt3 angup gap2))
(setq pt5 (polar pt4 angang 41.2311)) ;cheated on diagonal needs extra polars
(setq pt6 (polar pt5 angup gap2))

(command pt3 pt4 pt5 pt6)
(setq pt1 pt6)
) ; repeat
(command pt2 "")
(setvar 'osmode oldsnap)
(Princ "all done")
) 

 

ps worked perfect a minute ago now its not will fix ver 2

fixed needs a bit of fine tuning overlengths at moment

Edited by BIGAL
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...